Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.grammar.relax
Class RELAXModule

    java.lang.Object
      com.sun.msv.grammar.relax.RELAXModule

All Implemented Interfaces:
  Grammar, java.io.Serializable

public class RELAXModule
extends java.lang.Object
implements Grammar

"Module" of RELAX Core.

Author:
  Kohsuke KAWAGUCHI
See Also:
  Serialized Form

Nested Class Summary
`class` | `RELAXModule.AttPoolContainer`
`class` | `RELAXModule.DatatypeContainer` Datatypes.
`class` | `RELAXModule.ElementRulesContainer`
`class` | `RELAXModule.HedgeRulesContainer`
`class` | `RELAXModule.TagContainer`

Field Summary
`RELAXModule.AttPoolContainer` | `attPools` map from role name to AttPoolClause object
`RELAXModule.DatatypeContainer` | `datatypes`
`RELAXModule.ElementRulesContainer` | `elementRules` map from label name to ElementRules object
`RELAXModule.HedgeRulesContainer` | `hedgeRules` map from label name to HedgeRules object
`ExpressionPool` | `pool` ExpressionPool object which was used to create this module.
`RELAXModule.TagContainer` | `tags` map from role name to TagClause object
`java.lang.String` | `targetNamespace` target namespace URI
`Expression` | `topLevel` chioce of all exported elementRules and hedgeRules.

Constructor Summary
`RELAXModule(ExpressionPool pool, java.lang.String targetNamespace)`

Method Summary
`ExpressionPool` | `getPool()` gets ExpressionPool object which was used to construct this grammar.
`Expression` | `getTopLevel()` gets top-level expression.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### elementRules

    public final RELAXModule.ElementRulesContainer elementRules

  map from label name to ElementRules object

### hedgeRules

    public final RELAXModule.HedgeRulesContainer hedgeRules

  map from label name to HedgeRules object

### tags

    public final RELAXModule.TagContainer tags

  map from role name to TagClause object

### attPools

    public final RELAXModule.AttPoolContainer attPools

  map from role name to AttPoolClause object

### targetNamespace

    public final java.lang.String targetNamespace

  target namespace URI

### datatypes

    public final RELAXModule.DatatypeContainer datatypes

### topLevel

    public Expression topLevel

  chioce of all exported elementRules and hedgeRules. This can be used as the top-level expression when a module is used to validate documents by itself.

### pool

    public final ExpressionPool pool

  ExpressionPool object which was used to create this module.

Constructor Detail

### RELAXModule

    public RELAXModule(ExpressionPool pool,
                       java.lang.String targetNamespace)

Method Detail

### getTopLevel

    public Expression getTopLevel()

  Description copied from interface: `Grammar`
  gets top-level expression. This expression shall be the constraint over the document element. Never return null.

  Specified by:
    `getTopLevel` in interface `Grammar`

### getPool

    public ExpressionPool getPool()

  Description copied from interface: `Grammar`
  gets ExpressionPool object which was used to construct this grammar. Never return null.

  Specified by:
    `getPool` in interface `Grammar`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD